Installation Media - Bug #2628
Bug # 2108 (confirmed): ISO fails to boot with libreboot

no network after installing openrc system on X200 with Libreboot
Description

After several days struggling to install Parabola Linux on a Lenovo X200 system with Libreboot, | have finally been able to do it
successfully :-)

Here my conclusions in case they can be useful for the community and in case these procedures can be improved:

1- The installation of Parabola with the last version OpenRC CLI, works but when booting there is some problem with the network
interfaces, because they do not appear.

2- The installation of Parabola with the last version of systemd CLI, doesn't work, Libreboot is not able to start the Parabola Live
system.

3- The installation of Parabola with the last version of systemd LXDE , doesn't work, Libreboot is not able to start the Parabola Live
system.

4- For a successful installation | had to use another computer with a usual BIOS, and once installed move the hard disk to the X200
system.

5- The installation of Parabola with OpenRC LXDE always fails in a computer with a "normal" BIOS and X200 Libreboot, it seems
that the scripts doesn't install grub correctly ...

History

#1 - 2020-02-10 01:00 AM - bill-auger
- Category set to OpenRC

- Subject changed from Some (bugs) experience installing Parabola in a X200 Libreboot system to no network after installing openrc system on X200
with Libreboot

arojas0609 - were you 'andrew' on IRC yesterday?

thanks for the thorough evaluations - those user-experiences have been needed for a long time

most of the items you noted are known and covered in another ticket #2108 - i dont recall of anyone trying to boot libreboot in BIOS mode though -
can libreboot boot any ISOs in BIOS mode ? - if so, then i presume that it could boot the parabola systemd ISOs

the new issue reported in this ticket, is the missing system net devices after installing an openrc system - someone else may have reported that on
IRC yesterday too; so i will change this ticket to focus on that issue

#2 - 2020-02-10 01:33 PM - arojas0609

Hi, yes I'm andrew from IRC ;-)
If you need to make some other test with libreboot ...

Otherwise, | see that the problem of systemd (CLI, LXDE) it's cover in ticket #2108, but not the problem or Parabola OpenRC LXDE installation ... |
will test this with more accuracy ...

#3 - 2020-02-11 03:15 PM - arojas0609
For the problem with OpenRC LXDE installation | have opened a new ticket #2630

#4 - 2020-02-13 02:59 AM - bill-auger

perhaps the distinction of libreboot in different BIOS modes, could be at the root of issue #2108 - someone, using a computer with dual BIOS modes
and libreboot installed, would need to try that combination and discover if it works or not - in either case, another important clue would be
accumulated, regarding which hardware+software combinations work and which do not

if you like to try some more experiments, i added some suggestions (note-23) to ticket #2108
#5 - 2020-03-09 02:08 PM - bill-auger

something similar was reported on the forum https:/labs.parabola.nu/boards/9/topics/298

#6 - 2020-03-09 02:15 PM - bill-auger

- Assignee set to Megver83

#7 - 2020-03-25 06:53 PM - Megver83

You assure all this happens with Parabola... have you tried any other distro? otherwise | could think the problem is your PC, for example, my PC
sometimes has issues with the wireless interface but | know it's not an issue of Parabola but from the wireless card. Plus if all Parabola installations
fail, I think that one out of two possibilities is happening:

1) you installed it wrongly
2) your PC has some other problem, external to Parabola

#8 - 2020-07-15 04:19 AM - bill-auger
- Parent task set to #2108
